import Data.Char
import System.IO
import System.Environment

processChar :: Char -> Char
processChar c | isAscii c = c
              | otherwise = '?'

main :: IO ()
main = do putStrLn "Reading from stdin"
          args <- getArgs
          hSetEncoding stdin (if "--latin1" `elem` args then latin1 else utf8)
          interact . map $ processChar
